function [y1]=volume(beta,x,y)
%Function to compute the predicted cell volumes given
%   beta:   the parameter coefficients
%   x:      the corresponding regressors
%   y:      the correspindg measured values
%Copyright 2015 Yuri Shardt
%Written as part of the Springer book Statistics for Chemical and Process
%Engineers: A Modern Approach

y1=(1-beta(1))*(-1+sqrt(1+4*beta(2)*0.293))./(-1+sqrt(1+4*beta(2)*x))+beta(1);